/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// dashcommand.h Fri Jun 22 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _DASHCOMMAND_H_
#define _DASHCOMMAND_H_

#include "servercommand.h"

class DashCommand : public ServerCommand
{
public: 
	DashCommand();
	DashCommand(double _dPower);
	virtual ~DashCommand();
	virtual Comm& comm_insert(Comm& _cmConnection) const;
	void setPower(double _dPower);
	double getPower() const;
	
private:
	double dPower;
	
};

#endif
