/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// minmax.cpp Mon Jun 18 2001
// Description:
//////////////////////////////////////////////////////////////////////


#include "minmax.h"

int min(int x, int y)
{
  return x<y ? x : y;
}

double min(double x, double y)
{
  return x<y ? x : y;
}


int max(int x, int y)
{
  return y<x ? x : y;
}

double max(double x, double y)
{
  return y<x ? x : y;
}

double sqr(double x)
{
  return x*x;
}

// a^n with n a natural number
double power( double a, int n )
{
  double b = 1;
  while (n > 0) {
    if (n & 1)
      b *= a;
    n /= 2;
    a *= a;
  }
  return b;
}
