/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// disperseperception.h Tue Jul 3 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef DISPERSEPERCEPTION_H
#define DISPERSEPERCEPTION_H

#include <perception.h>

/**
  *@author UVa RoboCup Team
  */

class DispersePerception : public Perception  {
public: 
	DispersePerception(const WorldModel &_wmWorld);
	virtual ~DispersePerception();


	WorldPlayer ourTeamDistIndex(int _iIndex);
	double getMyX();
	void checkVec(Vector2d& _vDisVec);
	int getBallAge() const;
	bool isActiveMode() const;


};

#endif
