/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// movecommand.cpp Fri Jun 22 2001
// Description:
//////////////////////////////////////////////////////////////////////

#include "movecommand.h"

#undef TRACE
#define TRACE(cmd)

MoveCommand::MoveCommand() : ServerCommand(1)
{
}

MoveCommand::MoveCommand(double _dX, double _dY) : ServerCommand(1)
{
	setX(_dX);
	setY(_dY);
}

MoveCommand::~MoveCommand()
{
}

Comm& MoveCommand::comm_insert(Comm &_cmConnection) const
{
		// DOH: need to decide what to do here
/*    if ( (!info->isGoalie() && info->isTimeRunning() ) ||
            (info->isGoalie() && info->isTimeRunning() &&
             (info->getPlayMode() != PLAY_MODE_FREE_KICK_US) ) )
    {
        TRACE("servertime_here"
              << " PlayerComm game is running, agent not allowed to (move)" );
        return;
    }
    else
*/    {

        // no range checking when moving: there are no limits !

        char msg [MAX_SERVER_MSG_SIZE];
        sprintf(msg, "(move %f %f)", dX, dY);
        if (_cmConnection.sendToServer(msg) == COMM_OK)
        {
            TRACE("PlayerComm: agent sent " << msg);
        }
        else
        {
            ALERT("servertime_here"
                  << " PlayerComm: agent cannot send " << msg << " to server" );
        }
    }
	return _cmConnection;
}

void MoveCommand::setX(double _dX)
{
	dX = _dX;
}

void MoveCommand::setY(double _dY)
{
	dY = _dY;
}

double MoveCommand::getX() const
{
	return dX;
}

double MoveCommand::getY() const
{
	return dY;
}
