/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// playercomm.h Thu Jun 14 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _PLAYERCOMM_H_
#define _PLAYERCOMM_H_

#include "comm.h"
#include "identitydata.h"

class PlayerComm : public Comm
{
public: 
	PlayerComm();
	virtual ~PlayerComm();

  // action interface
  void noAction();
  void sendKick(double power, double dir_rad);
  void sendDash(double power);
  void sendTurn(double moment_rad);
  void sendCatch(double dir_rad);
  void sendMove(double x, double y);

  void sendTurnNeck(double angle_rad);
  void sendChangeView(view_width width, view_quality quality);

};

#endif
