/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// CornerPushperception.h Fri Aug 3 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef CORNERPUSHPERCEPTION_H
#define CORNERPUSHPERCEPTION_H

#include "perception.h"

class CornerPushPerception : public Perception
{
public: 
  CornerPushPerception(const WorldModel &_wmWorld);
  virtual ~CornerPushPerception();
  bool isScoringOpportunity () const;
  bool isActiveMode() const;
  bool inTopHalf () const;
  bool amClose () const;
  int getPlayerNumber () const;
};

#endif
