/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// gotocornerbehavior.h Sat Aug 4 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef GOTOCORNERBEHAVIOR_H
#define GOTOCORNERBEHAVIOR_H

#include "behavior.h"
#include "gotocornerperception.h"

class GoToCornerBehavior : public Behavior
{
public: 
	GoToCornerBehavior(const WorldModel &_wmWorld);
	virtual ~GoToCornerBehavior();
	virtual bool isUseful();
	virtual void evaluate(RecommendationList &recList);

private:
	GoToCornerPerception perGoToCorner;
	bool fAlreadyKicked;
	int iUsefulCount;
	Angle aLastKickDir;


};

#endif
