/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// interceptballbehavior.h Tue Jul 3 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _INTERCEPTBALLBEHAVIOR_H_
#define _INTERCEPTBALLBEHAVIOR_H_

#include "behavior.h"
#include "interceptballperception.h"
#include "interceptaction.h"

class InterceptBallBehavior : public Behavior
{
public: 
	InterceptBallBehavior(WorldModel& _wmWorld);
	virtual ~InterceptBallBehavior();
 	virtual bool isUseful();
	virtual void evaluate(RecommendationList& recList);

private:
	const InterceptBallPerception perIntercept;
	double dIntensity;
	InterceptAction raLastInterceptAction;
	WorldModel& wmWorld; // reference data member
	
};

#endif
